upstream registry {
  server 172.16.1.43:443;
}

map $http_upgrade $connection_upgrade {
  default Upgrade;
  '' close;
}

server {
  listen 443 ssl http2;
  server_name registry.vygolov.ru;
  client_max_body_size 1024m;
  ssl_certificate /etc/ssl/vygolov.ru/certificate.crt;
  ssl_certificate_key /etc/ssl/vygolov.ru/private.key;

  location / {
    proxy_set_header Host $host;
    proxy_set_header X-Forwarded-Proto $scheme;
    proxy_set_header X-Forwarded-Port $server_port;
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_pass https://registry;
    proxy_http_version 1.1;
    proxy_set_header Upgrade $http_upgrade;
    proxy_set_header Connection 'upgrade';
    proxy_read_timeout 900s;
  }
}
